<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2Support.html">GLES2Support</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLES2Support Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#af0ca3d138ecc4f7c99abee163145a3ce">addConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a2e2d135ef1ba81fee239544f65ba2ad1">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a9c5601c65abd17d89194b78077041022">createWindow</a>(bool autoCreateWindow, GLES2RenderSystem *renderSystem, const String &amp;windowTitle)=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a21558f79fc4b83c4a87c470ca652be4e">extensionList</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#adcf0c781fbbfc12de5546dcc8fb07325">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a31e3c69a77c8d6c4ca0de1de334d28fd">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#acf1a56586e7f452554433e4a982a915c">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a276c49b57cb60c3ae2aa4ca94524cd80">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#abc9b2fdd1f5a997a018e421e3fb41d07">getProcAddress</a>(const String &amp;procname)=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#ae0833c742adcccc532729ff76176c44c">getShaderCachePath</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a03aaf2bec1baf7d1a6687b49c4fdb591">getShaderLibraryPath</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aeb24119b020395dc5180e5c93fd21cbf">GLES2Support</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a1b2f582872d8c79698d93e7aa02ba4c6">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a18ab92cb7fbc22d891eb9495575dc168">mOptions</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aff09c95ac1d2adbfd7dd0aef153039c2">mShaderCachePath</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#ad9d04cb0c00f64d2ec18c53d9e2d8baf">mShaderLibraryPath</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a06d4c315dc53fb011c181ff7aef18868">mVendor</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#ade51340a7dece4e1095af7692930104a">mVersion</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#af15b162d71093e2196c5e9261d97dc0a">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#af94869c73d966530b0d919ca3925b2cf">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aa52a532cd85238d5227f23d4b3de35e4">setShaderCachePath</a>(String path)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aee9a5957c98ac70592dc9ec82a862d68">setShaderLibraryPath</a>(String path)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#af1f839cc740a061bc17999ecca76e0a2">start</a>()=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a6e6cbcbdecfbcad73d8e8b2a5279cb39">stop</a>()=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a7c206c8dcb503103de8fe520af4f04ab">validateConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a462bd9434d945f2436cbe3f971d28050">~GLES2Support</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:29
</p>
</body>
</html>
